Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class InputSelectGroupTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataTagBase
oracle.jbo.html.jsp.datatags.InputTagBase
oracle.jbo.html.jsp.datatags.InputSelectBase
oracle.jbo.html.jsp.datatags.InputSelectGroupTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class InputSelectGroupTag
extends InputSelectBase

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.html.jsp.datatags.InputSelectBase
`bUseLineBreaks, sControlType, sDataAttribute, sDisplayAttribute, sDisplaySource, sFormName, showNone`

Fields inherited from class oracle.jbo.html.jsp.datatags.InputTagBase
`htmlAttrs, nCols, nMaxLength, rndObj, sReadonly`

Fields inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`attrDef, attrList, binding, ds, modelReference, row, ROWKEY_PARAM, rowVariableName, sAttrName, sDataItem, sDataSource, sSubAttrName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InputSelectGroupTag()`

Method Summary
`void` | `setMultiple(java.lang.String sValue)`

Methods inherited from class oracle.jbo.html.jsp.datatags.InputSelectBase
`doEndTag, getControlType, getFieldRenderer, internalInitialize, setDisplaydataitem, setDisplaydatasource, setDisplayvaluedataitem, setFormname, setLinebreaks, setShownone`

Methods inherited from class oracle.jbo.html.jsp.datatags.InputTagBase
`addHtmlAttribute, doStartTag, getStrutsFormName, getStrutsFormTag, initializeAttributeDef, initializeFieldRenderer, initializeRow, setCols, setMaxlength, setReadonly`

Methods inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`findAncestorWithClassForDataSource, getRowFromContext, initializeDataSource, initializeUsingModelReference, isUsingBindings, setDataitem, setDatasource, setModel`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputSelectGroupTag

    public InputSelectGroupTag()

Method Detail

### setMultiple

    public void setMultiple(java.lang.String sValue)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.